<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.pq.mapper.PqsTransformerMapper">


    <select id="listTransformer" resultType="com.njcn.device.pq.pojo.vo.TerminalTree">
        SELECT
            Tf_Index as id,
            Tf_Name as name,
            Sub_Index as pid,
            Sort as sort
        FROM
            pqs_transformer
        WHERE
            STATUS = 1
    </select>
    <select id="sortTransformer" resultType="java.lang.Integer">
        select IFNULL(max(pqs_transformer.sort),0) from pqs_transformer order by update_time desc
    </select>
</mapper>
